Kirjoittaja Aihe: Adobe flash  (Luettu 20954 kertaa)

salai

  • Käyttäjä
  • Viestejä: 2126
    • Profiili
Vs: Adobe flash
« Vastaus #40 : 13.03.14 - klo:21.59 »
Ruutua pystyt katsomaan ilman flashia:a tämän ohjeen mukaan.

http://linux.fi/wiki/Ruutu.fi

Itse kokeilin tuon toimivuutta näyttäisi toimivan. Nelosen ohjelmissa joudut katsomaan sivun lähdekoodia että löydät xml tiedoston, minkä sisällä on video todellinen sijainti.
Opeta tuo lähdekoodin selaaminen jollekin tavalliselle käyttäjälle. Yli puolet tapaamistani tietokoneen käyttäjistä eivät ymmärrä edes sanaa selain, vaan puhuvat internetistä.

mrl586

  • Käyttäjä
  • Viestejä: 4556
    • Profiili
Vs: Adobe flash
« Vastaus #41 : 13.03.14 - klo:22.45 »
Yli puolet tapaamistani tietokoneen käyttäjistä eivät ymmärrä edes sanaa selain, vaan puhuvat internetistä.
Ja IE:n logo lienee heillä synonyymi Internetille?

Taro Turtiainen

  • Käyttäjä
  • Viestejä: 579
    • Profiili
    • Taro Turtiainen
Vs: Adobe flash
« Vastaus #42 : 14.03.14 - klo:13.26 »
Asensin tämän pipelight:n koska webcam ei toiminut normi setillä.

Nyt sitten ääni kulkee, mutta kuva ei - kun ei tämä tunnista cameraa.

Milläköhän sen sais vörkkimään?

Niin en sitten vieläkään tiedä miten tuon sais toimimaan.

Asetuksista ei tunnista kameraa.
VASEMMISTOLIITTO - RIKKAUTTA JOLLA ON ARVOA

”Ei ole olemassa todellista vapautta ilman toisinajattelun vapautta.” Rosa Luxemburg 1918

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #43 : 14.03.14 - klo:15.43 »
Millä sivustolla yrität käyttää kameraa? Toimiiko kamera jollain muulla ohjelmalla (esim. cheese)?

Taro Turtiainen

  • Käyttäjä
  • Viestejä: 579
    • Profiili
    • Taro Turtiainen
Vs: Adobe flash
« Vastaus #44 : 14.03.14 - klo:19.08 »
Kamera toimii kaikilla muilla ja on toiminut flash pohjaisillakin ennen tätä viimeistä päivitystä jonka jälkeen asetuksia ei pystynyt millään käpistelemään.
Nyt pipelight:n asennuksen jälkeen voi käpistellä asetuksia mutta se ei tunnista kameraa.
VASEMMISTOLIITTO - RIKKAUTTA JOLLA ON ARVOA

”Ei ole olemassa todellista vapautta ilman toisinajattelun vapautta.” Rosa Luxemburg 1918

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #45 : 14.03.14 - klo:21.22 »
Entä Chromen PepperFlash 12?

Taro Turtiainen

  • Käyttäjä
  • Viestejä: 579
    • Profiili
    • Taro Turtiainen
Vs: Adobe flash
« Vastaus #46 : 15.03.14 - klo:14.35 »
Entä Chromen PepperFlash 12?

Chromen kanssa löytää nyt kameran, mutta ääni ja kuva ei liiku mihinkään.
Asetuksia pystyy käpistelemään.

EDIT:
Uudelleenkäynnistys korjasi tilanteen.

Chromen ja PepperFlash:n kanssa saan webcam yhteyden pelaamaan.
« Viimeksi muokattu: 15.03.14 - klo:15.41 kirjoittanut Taro Turtiainen »
VASEMMISTOLIITTO - RIKKAUTTA JOLLA ON ARVOA

”Ei ole olemassa todellista vapautta ilman toisinajattelun vapautta.” Rosa Luxemburg 1918

avanti

  • Käyttäjä
  • Viestejä: 432
    • Profiili
Vs: Adobe flash
« Vastaus #47 : 15.03.14 - klo:20.45 »
Asensin flashin 12-version Pipelight - Linux.fi -sivun ohjeiden mukaan, mutta nyt on Firefoxissa ja Seamonkeyssa kaksi flashia, tämä 12 ja se toimimaton 202 sarjan versio.

202 löytyy polusta /usr/lib/mozilla/plugins/libflashplayer.so, entä jos yksinkertaisesti poistaa tämän? Tai olisko jokin fiksumpi keino vaikka komentorivillä poistaa se?

Flash-installerin poistin jo komentorivillä, mutta se ei poistanut 202-version flashia.

ML
Matti Lamminen itäiseltä Vantaalta.
Intel NUC i5 prosessorilla.
Ubuntu 20.04.1 LTS

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #48 : 16.03.14 - klo:00.39 »
202 löytyy polusta /usr/lib/mozilla/plugins/libflashplayer.so, entä jos yksinkertaisesti poistaa tämän?

Taitaa olla jäänne jostain muusta asennuksesta kuin flashplugin-installerista. Poista komennolla:

Koodia: [Valitse]
sudo rm /usr/lib/mozilla/plugins/libflashplayer.so

juyli

  • Vieras
Vs: Adobe flash
« Vastaus #49 : 16.03.14 - klo:21.46 »
Asensin flashin 12-version Pipelight - Linux.fi -sivun ohjeiden mukaan, mutta nyt on Firefoxissa ja Seamonkeyssa kaksi flashia, tämä 12 ja se toimimaton 202 sarjan versio.

Tuo 11.2 -versio on yhä ainoa ja oikea Linux-versio Linux-ympäristöön:
Koodia: [Valitse]
firefox about:plugins Shockwave Flash
    Tiedosto: libflashplayer.so
    Polku: /usr/lib/flashplugin-installer/libflashplayer.so
    Versio: 11.2.202.346
    Tila: Käytössä
    Shockwave Flash 11.2 r202

Tämä on siis plugin, joka toimii Linux-jakelujen selaimien lisäosana flash-tiedostojen pyörittämiseksi - ja toimii täysin ongelmitta. Silverlight/Pipelight/Moonlight -pluginit sitten on jo ihan toinen juttu.

avanti

  • Käyttäjä
  • Viestejä: 432
    • Profiili
Vs: Adobe flash
« Vastaus #50 : 16.03.14 - klo:23.56 »
Tuo 11.2 -versio on yhä ainoa ja oikea Linux-versio Linux-ympäristöön:
Koodia: [Valitse]
firefox about:plugins Shockwave Flash
    Tiedosto: libflashplayer.so
    Polku: /usr/lib/flashplugin-installer/libflashplayer.so
    Versio: 11.2.202.346
    Tila: Käytössä
    Shockwave Flash 11.2 r202

Tämä on siis plugin, joka toimii Linux-jakelujen selaimien lisäosana flash-tiedostojen pyörittämiseksi - ja toimii täysin ongelmitta. Silverlight/Pipelight/Moonlight -pluginit sitten on jo ihan toinen juttu.

Ei toimi enää tällaisessa jo vähän vanhemmassa PC:ssä, olen nähnyt sen jo lukemattomia kertoja. En muista enää oliko se jokin käskykanta, joka on muuttunut.

ML
Matti Lamminen itäiseltä Vantaalta.
Intel NUC i5 prosessorilla.
Ubuntu 20.04.1 LTS

Ooba

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Adobe flash
« Vastaus #51 : 17.03.14 - klo:18.23 »
Asensin flashin 12-version Pipelight - Linux.fi -sivun ohjeiden mukaan, mutta nyt on Firefoxissa ja Seamonkeyssa kaksi flashia, tämä 12 ja se toimimaton 202 sarjan versio.

Tuo 11.2 -versio on yhä ainoa ja oikea Linux-versio Linux-ympäristöön:
Koodia: [Valitse]
firefox about:plugins Shockwave Flash
    Tiedosto: libflashplayer.so
    Polku: /usr/lib/flashplugin-installer/libflashplayer.so
    Versio: 11.2.202.346
    Tila: Käytössä
    Shockwave Flash 11.2 r202

Tämä on siis plugin, joka toimii Linux-jakelujen selaimien lisäosana flash-tiedostojen pyörittämiseksi - ja toimii täysin ongelmitta. Silverlight/Pipelight/Moonlight -pluginit sitten on jo ihan toinen juttu.

Äläpä nyt väärää totuutta levitä. Adoben uusin flash on saatavilla chromeen ja myös chromiumiin. Tämä vanhempi flash toimii yleensä juu (kuinka kauan, se on sitten toinen juttu), mutta kyllä silmämääräinen kuvanlaatutarkistelu jo kertoo, kumpaa kannattaa käyttää. Tuo 11.2 on auttamattomasti liian vanha, pahoittelen.

matsukan

  • Käyttäjä
  • Viestejä: 2033
    • Profiili
Vs: Adobe flash
« Vastaus #52 : 17.03.14 - klo:23.41 »

Juu voi olla tällä hetkellä mutta huhtikuun jälkeen  Flash tuki tippuu Chromiumista.

http://www.omgubuntu.co.uk/2014/01/chromium-npapi-flash-dropped-april-2014

Sitten tullee käyttöön Pepper jos haluu olla katsella ja pelata Flahs pelejä.
 :P
Pohjois-pohjanmaa
-- motto:  backupin tarve huomataan aina liian myöhään

avanti

  • Käyttäjä
  • Viestejä: 432
    • Profiili
Vs: Adobe flash
« Vastaus #53 : 18.03.14 - klo:00.27 »
Itselläni sekä Chrome että Chromium lakkasivat kokonaan toimimasta jostain syystä, mutta käytän neljää muutakin selainta, joten ei sillä niin väliä. Eikä varsinkaan niissä toimivat flashit.

Vaan Epiphany kevytselaimessa alkoi toimimaan tuo Shockwave Flash 12.0 r0 ainoana. Se selainhan toimiikin vielä paremmin kuin tulikettu ja meriapina, tehtykin Gnomeen istuvaksi. Ja nopea. Saisi olla yhtä vakaa kuin täysveriset selaimet. Opera taas ei aivan istu ainakaan tähän Unityyn, mutta toimii kuitenkin. Siihen ei tepsinyt tuon Falsh 12 asennus Pipelightin avulla.

ML
Matti Lamminen itäiseltä Vantaalta.
Intel NUC i5 prosessorilla.
Ubuntu 20.04.1 LTS

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #54 : 18.03.14 - klo:02.10 »
Itselläni sekä Chrome että Chromium lakkasivat kokonaan toimimasta jostain syystä

Mitä google-chrome tai chromium-browser sanoo päätteessä käynnistettynä?

Vaan Epiphany kevytselaimessa alkoi toimimaan tuo Shockwave Flash 12.0 r0 ainoana.

Eiköhän se Firefoxissakin toimi, jos poistat muut Firefoxin löytämät Flash-liitännäiset järjestelmästä. Katso about:plugins -sivulta, mitä Shockwave Flash -liitännäisiä on ladattuna.

Ooba

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Adobe flash
« Vastaus #55 : 18.03.14 - klo:07.02 »

Juu voi olla tällä hetkellä mutta huhtikuun jälkeen  Flash tuki tippuu Chromiumista.

http://www.omgubuntu.co.uk/2014/01/chromium-npapi-flash-dropped-april-2014

Sitten tullee käyttöön Pepper jos haluu olla katsella ja pelata Flahs pelejä.
 :P

Eihän tuki lopu kuin NPAPI-flashilta. Ja uusin flash linuxissa on toteutettu pepper-rajapinnalle. Joka on saatavissa chromen lisäksi myös chromiumiin ppa:n välityksellä. Googlaa "pepper flash chromium".

matsukan

  • Käyttäjä
  • Viestejä: 2033
    • Profiili
Vs: Adobe flash
« Vastaus #56 : 18.03.14 - klo:10.41 »

Et sitten lukenut tarkasti? Google poistaa NNAPI rajapinnan jolloin NNAPI pohjaiset plugarit lopettavat toimintansa Chromium:ssa. Näitä ei ole käytössä paljoa Linux:n puolella joten se ei haittaa Linux käyttäjiä.
Pohjois-pohjanmaa
-- motto:  backupin tarve huomataan aina liian myöhään

nm

  • Käyttäjä
  • Viestejä: 13752
    • Profiili
Vs: Adobe flash
« Vastaus #57 : 18.03.14 - klo:15.38 »
Et sitten lukenut tarkasti? Google poistaa NNAPI rajapinnan jolloin NNAPI pohjaiset plugarit lopettavat toimintansa Chromium:ssa. Näitä ei ole käytössä paljoa Linux:n puolella joten se ei haittaa Linux käyttäjiä.

Väitän, että tulee haittaamaan ainakin jonkin aikaa. Suurin osa Linuxin selainliitännäisistä toimii tällä hetkellä vain NPAPI:n kautta. Pipelight, Java-liitännäiset, mediasoittimien liitännäiset, avoimen koodin Flash-toteutukset jne.

matsukan

  • Käyttäjä
  • Viestejä: 2033
    • Profiili
Vs: Adobe flash
« Vastaus #58 : 18.03.14 - klo:16.11 »
no näin on mutta suurempi poru tulee windowsin puolella ...  :P

http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html
Pohjois-pohjanmaa
-- motto:  backupin tarve huomataan aina liian myöhään

Ooba

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Adobe flash
« Vastaus #59 : 18.03.14 - klo:16.32 »

Et sitten lukenut tarkasti? Google poistaa NNAPI rajapinnan jolloin NNAPI pohjaiset plugarit lopettavat toimintansa Chromium:ssa. Näitä ei ole käytössä paljoa Linux:n puolella joten se ei haittaa Linux käyttäjiä.

Kyllä luin hyvinkin tarkkaan. Väitit että flash-tuki loppuu chromiumista. Juu, virallinen tuki kyllä. Mutta epävirallinen, uudempi ja nykyaikaisempi flash-tuki on ja pysyy.